Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606537 - eclipse + m2eclipse = hard crash
eclipse + m2eclipse = hard crash
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 17:42 EDT by Ferry Huberts
Modified: 2011-04-12 10:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-12 10:43:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferry Huberts 2010-06-21 17:42:35 EDT
Description of problem:
openjdk crashes hard with m2eclipse plugin in eclipse 3.5.2


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. have an eclipse 3.5.2 install (download from eclipse.org)
2. add m2eclipse plugin
3. restart eclipse
4. m2eclipse plugin will start updating its indexes (from maven central)
5. openjdk will crash hard
  
Actual results:
hard crash of openjdk
not even a log file of eclipse

Expected results:
functional eclipse

Additional info:
this has been talked about a lot all over the net but information is tricky to find. example:
http://stackoverflow.com/questions/2395815/m2eclipse-crashes-eclipse-3-5-sr2-running-on-openjdk-6-jdk
Comment 1 Richard Körber 2010-07-10 11:42:09 EDT
Also see here: https://bugs.launchpad.net/ubuntu/+source/openjdk-6/+bug/586765

The link also mentiones a workaround: Open the preferences, select "Maven" and uncheck "Download repository index updates on startup". You must be quick though, as the change must be completed before Eclipse crashes. ;-)
Comment 2 Ferry Huberts 2011-04-12 10:43:09 EDT
this is fixed by an openjdk update

Note You need to log in before you can comment on or make changes to this bug.